@import 'vars';

.header {
  display: grid;
  margin: 0;

    @media (min-width: 768px) {
        margin: 0 50px;
    }
}

.logo {
  display: flex;
  align-items: flex-end;
  height: 100%;
  width: 100%;
  
  img {
    height: 35px;

    @media (min-width: 768px) {
        height: 26px;
        width: 113px;
      }
  }

  .link {
    display: flex;
    align-items: center;
    font-size: 24px;
  }
}

.topnav {
  width: 100%;
}

.container {
  align-items: center;
  justify-content: flex-end;
  grid-column: 2 / span 2;
  height: auto;
  display: none;

  @media (min-width: 768px) {
    display: flex;
    height: 81px;
  }
}


.mobileOnly {
  display: none;

  @include below(758px) {
    display: unset;
  }
}

.navlinks {
  display: flex;
  height: 100%;
  align-items: flex-end;
  list-style: none;

  .linkContainer {
    margin-left: 45px;

    .link {
      display: flex;
      background-color: transparent;
      outline: none;
      border: none;
      text-decoration: none;
      color: $c-alto;
      font-size: 17px;

      &:global(.active) {
        font-weight: 700;
        color: $c-flush-orange;
      }

      img {
        height: 15px;
        width: auto;

        @media (min-width: 768px) {
          height: 26px;
        }
      }

      &:hover,
      &:focus {
        color: #FFF;
      }
    }
  }
}

.image {
  cursor: pointer;
  display: none;

  @media (min-width: 768px) {
    display: block;
  }
}

.mobileImage {
  cursor: pointer;
  display: block;
  position: relative;
  padding-top: 20px;

  @media (min-width: 768px) {
    display: none;
  }
}